org.apache.ode.daohib.bpel

## Class HibernateDao

- java.lang.Object
- - org.apache.ode.daohib.bpel.HibernateDao

- Direct Known Subclasses:
    ActivityRecoveryDaoImpl, CorrelatorMessageDaoImpl, FaultDAOImpl, MessageDaoImpl, MessageExchangeDaoImpl, PartnerLinkDAOImpl, ProcessDaoImpl, ProcessInstanceDaoImpl, ProcessManagementDaoImpl, ScopeDaoImpl, XmlDataDaoImpl

      public abstract class HibernateDao
      extends java.lang.Object

  Base class for our DAO objects.

  All subclass methods that might trigger SQL queries should log a message in the log category 'org.apache.ode.bpel.DAO' when entered. A typical message could be "className.methodName".
  Typical candidates are setters, finders and getters of entities. Getters of simple properties won't provide relevant information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HObject` | `_hobj`
    `protected SessionManager` | `_sm`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `HibernateDao(SessionManager sessionManager, HObject hobj)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `deleteByColumn(java.lang.Class entity, java.lang.String column, java.util.List<java.lang.Long> values)`
    `protected void` | `deleteByIds(java.lang.Class entity, java.util.List<java.lang.Long> ids)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.io.Serializable` | `getDHandle()`
    `HObject` | `getHibernateObj()`
    `java.io.Serializable` | `getId()`
    `protected org.hibernate.Session` | `getSession()`
    `int` | `hashCode()`
    `protected void` | `update()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _sm

          protected final SessionManager _sm

    - #### _hobj

          protected final HObject _hobj

  - ### Constructor Detail

    - #### HibernateDao

          protected HibernateDao(SessionManager sessionManager,
                                 HObject hobj)

  - ### Method Detail

    - #### getDHandle

          public java.io.Serializable getDHandle()

      See Also:
        `org.apache.ode.utils.dao.DAO#getDHandle()`

    - #### getSession

          protected org.hibernate.Session getSession()

    - #### getHibernateObj

          public HObject getHibernateObj()

    - #### getId

          public java.io.Serializable getId()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### update

          protected void update()

    - #### deleteByIds

          protected void deleteByIds(java.lang.Class entity,
                                     java.util.List<java.lang.Long> ids)

    - #### deleteByColumn

          protected void deleteByColumn(java.lang.Class entity,
                                        java.lang.String column,
                                        java.util.List<java.lang.Long> values)